curl --request POST \
--url https://api.augustus.com/v1/counterparties/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "Acme Sandbox Ltd.",
"physical_address": {
"city": "San Francisco",
"country_code": "US",
"line_1": "548 Market St",
"line_2": "Apartment 4B",
"postal_code": "94103",
"state": "CA"
},
"date_of_birth": "1990-01-15",
"phone": "+55 11 91234 5678",
"email": "finance@example.com",
"legal_id": "12.345.678/0001-95",
"is_self_owned": true
}
'import requests
url = "https://api.augustus.com/v1/counterparties/{id}"
payload = {
"name": "Acme Sandbox Ltd.",
"physical_address": {
"city": "San Francisco",
"country_code": "US",
"line_1": "548 Market St",
"line_2": "Apartment 4B",
"postal_code": "94103",
"state": "CA"
},
"date_of_birth": "1990-01-15",
"phone": "+55 11 91234 5678",
"email": "finance@example.com",
"legal_id": "12.345.678/0001-95",
"is_self_owned": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Acme Sandbox Ltd.',
physical_address: {
city: 'San Francisco',
country_code: 'US',
line_1: '548 Market St',
line_2: 'Apartment 4B',
postal_code: '94103',
state: 'CA'
},
date_of_birth: '1990-01-15',
phone: '+55 11 91234 5678',
email: 'finance@example.com',
legal_id: '12.345.678/0001-95',
is_self_owned: true
})
};
fetch('https://api.augustus.com/v1/counterparties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "counterparty",
"name": "Acme Sandbox Ltd.",
"entity_type": "business",
"physical_address": {
"line_1": "548 Market St",
"line_2": "Apartment 4B",
"city": "San Francisco",
"postal_code": "94103",
"state": "CA",
"country_code": "US"
},
"financial_address": {
"type": "aba",
"routing_number": "110000000",
"account_number": "000123456789",
"account_holder_name": "Acme Sandbox Ltd.",
"account_type": "checking"
},
"date_of_birth": "1990-01-15",
"phone": "+55 11 91234 5678",
"email": "finance@example.com",
"legal_id": "12.345.678/0001-95",
"is_self_owned": false,
"blocked": false,
"metadata": {
"invoice_id": "INV-2026-0042"
}
}Update counterparty
Updates the mutable details of a counterparty owned by the merchant.
Authorizations
Bearer token for authentication with Augustus Banking API
Headers
Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.
Path Parameters
Unique identifier of the counterparty.
Body
Counterparty fields to update
New name, or null to clear the current name.
"Acme Sandbox Ltd."
New physical address, or null to clear the current physical address.
Show child attributes
Show child attributes
New date of birth in YYYY-MM-DD format, or null to clear the current date of birth.
"1990-01-15"
New phone number, or null to clear the current phone number.
1 - 32^\+?[ ().-]*[0-9][0-9 ().-]*$"+55 11 91234 5678"
New email address, or null to clear the current email address.
254^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$"finance@example.com"
New legal identifier, or null to clear the current legal identifier.
1 - 127"12.345.678/0001-95"
New entity type. Omit to keep the current entity type.
business, individual New ownership status. Omit to keep the current ownership status.
Response
The updated counterparty
Unique identifier of the counterparty.
Resource type discriminator.
counterparty Name of the counterparty, or null if not recorded.
"Acme Sandbox Ltd."
Whether the counterparty is a business or an individual.
business, individual "business"
Physical address of the counterparty, or null if not recorded.
Show child attributes
Show child attributes
Financial address of the counterparty.
- ABA
- IBAN
- UK Sort Code
- BIC
- Wallet
Show child attributes
Show child attributes
{
"type": "aba",
"routing_number": "110000000",
"account_number": "000123456789",
"account_holder_name": "Acme Sandbox Ltd.",
"account_type": "checking"
}
Date of birth in YYYY-MM-DD format, or null if not recorded.
"1990-01-15"
Phone number of the counterparty, or null if not recorded.
"+55 11 91234 5678"
Email address of the counterparty, or null if not recorded.
"finance@example.com"
National tax or identity number of the counterparty, or null if not recorded.
"12.345.678/0001-95"
Whether the counterparty is self-owned. false if the counterparty is not owned by you, true if it is.
false
Whether payments to or from this counterparty are currently blocked.
false
Set of up to 50 key-value string pairs you can attach to store structured information, such as correlating this resource with an object in your own system. Keys may be up to 40 characters and values up to 500 characters.
Show child attributes
Show child attributes
{ "invoice_id": "INV-2026-0042" }
Was this page helpful?